<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>M-Index</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/tpepsi/Application.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class org.tpepsi.<a href="../org/tpepsi/Application.html" title="class in org.tpepsi">Application</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">Movie</span></a> - Class in <a href="../org/tpepsi/data/entity/package-summary.html">org.tpepsi.data.entity</a></dt>
<dd>
<div class="block">Classe représentant un objet Movie</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#Movie--">Movie()</a></span> - Constructor for class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Constructeur par défaut</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#Movie-long-java.lang.String-java.lang.String-int-">Movie(long, String, String, int)</a></span> - Constructor for class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Constructeur du film</div>
</dd>
<dt><a href="../org/tpepsi/controllers/MovieController.html" title="class in org.tpepsi.controllers"><span class="typeNameLink">MovieController</span></a> - Class in <a href="../org/tpepsi/controllers/package-summary.html">org.tpepsi.controllers</a></dt>
<dd>
<div class="block">Controller REST de l'objet Movie
 <br>
 <a>http://localhost:8080/swagger-ui.html</a></div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/MovieController.html#MovieController-org.tpepsi.service.ItemService-org.tpepsi.service.ItemService-">MovieController(ItemService&lt;Movie&gt;, ItemService&lt;TvShow&gt;)</a></span> - Constructor for class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/MovieController.html" title="class in org.tpepsi.controllers">MovieController</a></dt>
<dd>
<div class="block">Constructeur du controller pour les films
 <br>
 Pour pouvoir gérer à la fois une liste de Movies et de TVShows, on instancie les deux types de service</div>
</dd>
<dt><a href="../org/tpepsi/service/MovieService.html" title="class in org.tpepsi.service"><span class="typeNameLink">MovieService</span></a> - Class in <a href="../org/tpepsi/service/package-summary.html">org.tpepsi.service</a></dt>
<dd>
<div class="block">Service de CRUD des instances de Movie
 <br>
 Nécessaire à la généricité et à la différenciation des différentes listes d'Items</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/service/MovieService.html#MovieService--">MovieService()</a></span> - Constructor for class org.tpepsi.service.<a href="../org/tpepsi/service/MovieService.html" title="class in org.tpepsi.service">MovieService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
